package jdapi

import (
	"git.rosy.net.cn/baseapi/utils"
	"git.rosy.net.cn/jx-callback/globals"
	"testing"
)

func TestQueryInvoiceList(t *testing.T) {

	param := &QueryInvoiceListParam{
		InvoiceStatusList:      nil,
		ApplyTimeOrder:         "",
		OrderCompleteTimeStart: utils.Time2Pointer(utils.Str2Time("2025-05-01 00:00:00")),
		OrderCompleteTimeEnd:   utils.Time2Pointer(utils.Str2Time("2025-05-31 23:00:00")),
		ApplyTimeStart:         nil,
		ApplyTimeEnd:           nil,
		StoreId:                11906384,
		PageSize:               20,
		PageIndex:              1,
	}
	data, err := api.QueryInvoiceList(param)
	globals.SugarLogger.Debugf("data = %s", utils.Format4Output(data, false))
	globals.SugarLogger.Debugf("data = %v", err)
}

func TestQueryInvoiceDetail(t *testing.T) {
	result, err := api.QueryInvoiceDetail("315229256506")
	globals.SugarLogger.Debugf("data = %s", utils.Format4Output(result, false))
	globals.SugarLogger.Debugf("data = %v", err)
}
